package com.bytedance.android.livesdk.broadcast.preview.widget;

import X.0CB;
import X.0CH;
import X.1sU;
import X.6Is;
import X.C1338FzX;
import X.GAI;
import X.GAJ;
import android.view.View;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import com.bytedance.ies.sdk.widgets.LiveWidget;

public final class PreviewSeeMoreDetailWidget extends LiveWidget implements 6Is {
    public boolean LIZ;
    public boolean LIZIZ;

    static {
        Covode.recordClassIndex(12306);
    }

    public final int getLayoutId() {
        return 2131562223;
    }

    public final void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public final void show() {
        super.show();
        this.LIZ = false;
    }

    public final void onCreate() {
        super.onCreate();
        View view = getView();
        if (!(view instanceof 1sU)) {
            view = null;
        }
        1sU r4 = (1sU) view;
        if (r4 != null) {
            r4.setOnClickListener(new GAI(this));
            DataChannel dataChannel = this.dataChannel;
            if (dataChannel != null) {
                dataChannel.LIZIZ((0CH) this, C1338FzX.class, new GAJ(this, r4));
            }
        }
    }
}
